%define _unpackaged_files_terminate_build 0
Summary: TDS protocol that is used by Sybase and Microsoft
Name: freetds
Version: 0.91
Release: 1%{?dist}
Epoch: 1
License: LGPL
Group: System Environment/Libraries
Source0: ftp://ftp.metalab.unc.edu/pub/Linux/ALPHA/freetds/%{name}-%{version}.tar.bz2
Source1: freetds.conf
Source2: locales.conf
Patch0: freetds-anonymous-tag.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: sed
URL: http://mhash.sf.net
Vendor: AnNyung LInux Team

%description
FreeTDS is a project to document and implement the TDS (Tabular DataStream)
protocol. TDS is used by Sybase and Microsoft for client to database server
communications. FreeTDS includes call level interfaces for DB-Lib and CT-Lib


%package devel
Group: Development/Libraries
Summary: Include files needed for development with FreeTDS
Summary(ko): FreeTDS 개발을 위한 헤더 파일 및 정적 라이브러리
Requires: freetds

%description devel
The freetds-devel package contains the files necessary for development with
the FreeTDS libraries.

%package doc
Group: Documentation
Summary: FreeTDS Documentation
Summary(ko): FreeTDS 문서
Requires: freetds

%description doc
FreeTDS Documentation

%prep
%setup -q

#patch0 -p1

%build

#aclocal && autoheader --force && autoconf --force && libtoolize --force
%configure \
    --sysconfdir=/etc/freetds \
    --with-tdsver=7.0 \
    --enable-msdblib \
    --enable-dbmfix \
    --with-gnu-ld \
    --enable-shared \
    --enable-static
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install
rm -rf "$RPM_BUILD_ROOT/%{_docdir}/freetds-%{version}"

mkdir -p $RPM_BUILD_ROOT/etc/freetds
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/freetds/freetds.conf
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/freetds/locales.conf

%post
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.so.*
%config %{_sysconfdir}/freetds/*

%files devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%files doc
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc/doc/freetds-%{version}/userguide doc/images doc/doc/freetds-%{version}/reference

%changelog
* Sun Feb 26 2012 JoungKyun.Kim <http://oops.org> 1:0.91-1%{?dist}
- update 0.91
